public_html/routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::group([], function()
{
    Route::get('/register', 'Auth\RegisterController@showRegistrationForm')->name('register');
    Route::post('/register', 'Auth\RegisterController@register')->name('register');
    Route::get('/login', 'Auth\LoginController@login')->name('login');
    Route::post('/checkLogin', 'Auth\LoginController@checkLogin')->name('login.check');
    Route::get('/logout', 'Auth\LoginController@logout')->name('logout');


    Route::get('/', 'securityDashboardController@index')->name('dashboard');
    Route::get('/getDataCounts', 'securityDashboardController@getData')->name('data.counts');


    Route::group([
        'as' => 'anomalies.',
        'prefix' => 'anomalies-dashboard'
    ], function() {
        Route::get('/', 'anomaliesAnalysisController@index')->name('index');
    });

    Route::group([
        'as' => 'notifications.',
        'prefix' => 'notifications'
    ], function() {
        Route::get('/', 'notificationsController@index')->name('index');
        Route::get('/index/dt', 'notificationsController@ajaxNotificationsTable')->name('index.dt');
        Route::get('/reload/index/dt', 'notificationsController@ajaxReloadNotificationsTable')->name('reload.index.dt');
        Route::get('/checkNew', 'notificationsController@ajaxCheckNewNotifications')->name('checkNew');
    });



});


Route::group([
    'as' => 'data-trace.',
    'prefix' => 'data-trace'
], function() {
    // Route::redirect('/', '/data-trace/requests', 301);
    Route::get( '/{path?}', 'dataTraceController@index')->where('path', '.*')->name('index');
});

Route::group([
    'as' => 'service-topology.',
    'prefix' => 'servicetopology'
], function(){
    Route::get('/', 'serviceTopologyController@index')->name('index');
});

Route::group([
    'as' => 'security-pipeline.',
    'prefix' => 'security-pipeline'
], function(){
    Route::post('/algorithm-parameter', 'securityPipelineController@getAlgorithmParameter')->name('algorithm-parameter');
    Route::post('/update-config-param', 'securityPipelineController@updateResourceConfig')->name('update-config-param');
    Route::get('/', 'securityPipelineController@index')->name('index');
    Route::get('/index/dt', 'securityPipelineController@datatables')->name('index.dt');
    Route::get('/create/', 'securityPipelineController@create')->name('create');
    Route::post('/store/', 'securityPipelineController@store')->name('store');
    Route::get('/{securityPipeline}/edit', 'securityPipelineController@edit')->name('edit');
    Route::post('/agent-parameter', 'securityPipelineController@getAgentParameter')->name('agent-parameter');
    Route::post('/status', 'securityPipelineController@updatePipelineStatus')->name('status');
    Route::get('/status/get', 'securityPipelineController@getPipelineStatus')->name('status.get');
    Route::post('/{securityPipeline}', 'securityPipelineController@update')->name('update');
    Route::delete('/{securityPipeline}', 'securityPipelineController@destroy')->name('destroy');
    Route::get('/{securityPipeline}/reload', 'securityPipelineController@reloadPipelineInstance')->name('reloadPipelineInstance');

    Route::get('/add-config-panel', 'securityPipelineController@addConfigPanel')->name('add-config-panel');
});

Route::group([
    'as' => 'users.',
    'prefix' => 'users'
], function(){
    Route::get('/index/dt', 'UserController@datatables')->name('profile.index.dt');
    Route::get('list/', 'UserController@index')->name('index');
    Route::get('profile/', 'UserController@profile')->name('profile');
    Route::get('setting/', 'UserController@setting')->name('setting');
    Route::post('/{user}/profile', 'UserController@update')->name('update');
    Route::post('/{user}/setting', 'UserController@updateSetting')->name('updateSetting');
    Route::get('users/', 'UserController@userList')->name('users');
    Route::delete('/{user}', 'UserController@destroy')->name('destroy');
    Route::post('/update-status', 'UserController@updateStatus')->name('update-status');
    Route::post('/update-role', 'UserController@updateRole')->name('update-role');
});

public_html/resources/views/dashboard.blade.php
@extends('layouts.app')
@section("page-header")
    @include('layouts.page-header', [
       'pageHeadTitle' => 'GUARD Dashboard',
       'breadcrumbs' => []
   ])

@endsection
@section("content")
    <div class="row mb-3">
        <div class="col-12 ">
            <div class="card card-body p-0">
                <div class="row">
                    <div class="col-12">
                        <div class="row text-center mx-0">
                            <a href="{!! route('service-topology.index') !!} " class="col click-col p-2  ">
                                <p><i class="fas fa-code-branch fa-2x d-inline-block text-violet"></i></p>
                                <h5 class="font-weight-semibold mb-0 text-violet">Service Topology</h5>
                                <span class="badge badge-violet align-top ">{!! str_pad($services, 2, '0', STR_PAD_LEFT) !!}</span>
                            </a>

                            <a href="{!! route('anomalies.index') !!} " class="col click-col p-2  ">
                                <p><i class="fas fa-desktop fa-2x d-inline-block text-warning"></i></p>
                                <h5 class="font-weight-semibold mb-0 text-warning">Anomalies Analysis</h5>
                            </a>
                            <a class="col click-col p-2  " href="{!! route('notifications.index') !!}">
                                <p><i class="fa fa-envelope fa-2x d-inline-block text-primary"></i></p>
                                <h5 class="font-weight-semibold mb-0 text-primary">Threat Notifications</h5>
                                <span class="badge badge-primary align-top ">{!! str_pad($notifications, 2, '0', STR_PAD_LEFT) !!}</span>
                            </a>
                            <a href="{!! route('security-pipeline.index') !!}" class="col click-col p-2  ">
                                <p class=""><i class="fas fa-stream fa-2x d-inline-block text-indigo hoverable"></i></p>
                                <h5 class="font-weight-semibold mb-0 text-indigo">Security Pipelines</h5>
                                <span class="badge badge-indigo align-top ">{!! str_pad($pipelines, 2, '0', STR_PAD_LEFT) !!}</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <div class="font-weight-bold text-white header fill pt-3">
        <div class="container p-4 text-center bg-guard-dark-50">
            <h1 class="fw-bolder mb-3">Welcome to the GUARD Security Dashboard</h1>
            <p class="lead mt-5 mb-3">Welcome <span class="font-weight-bolder">{{ auth()->user()->name }}</span>,
                the dashboard is responsible for managing and monitoring several components of the GUARD system. Use the menu on the left or the icons above to navigate to the desired dashboard page.</p>
            <p class="lead mb-3"> If you are interested in looking up more information about the <strong>GUARD project</strong> you can access the project website using the button below.</p>
            <a class="btn btn-lg btn-light slide-left mt-4 px-5" href="https://guard-project.eu/" target="_blank">Check out the project!</a>
        </div>
    </div>
@endsection
@section("stylesheets")
    <style>
        .header{
            height: 150px !important;
            background-image: url({!! asset('images/guard/icons/guard_project_lock_1610.jpg') !!});
        }

        .border{
            border-color: #09093F !important;
        }

        .dashboard-icons{
            height: 75px;
            width: 75px;
        }

        /*.click-col:hover{*/
        /*    background-color: #09093F;*/
        /*    transform: translate3D(5,0,0);*/
        /*    transition: all 1s;*/
        /*}*/

        /*.click-col:hover i{*/
        /*    color: white !important;*/
        /*}*/

        /*.click-col:hover h5{*/
        /*    color: white !important;*/
        /*}*/

        /*.click-col:hover span{*/
        /*    color: #000000 !important;*/
        /*    background-color: white !important;*/
        /*}*/

        .click-col:hover{
            background-color: rgba(52, 58, 64, 0.05);
        }

        .bg-guard-dark-50{
            background-color: rgba(9, 9, 63, 0.6);
        }

        .fill {
            min-height: 62vh;
            height: 100%;
        }

        .min-height-400 {
            min-height: 400px;
            font-size: 5em;
        }

        .slide-left:hover{
            background-color: #12439B;
            transform: translate3D(0,0,0);
            transition: all .5s;
        }

        .text-numbers{
            font-size: medium;
        }

        .badge-indigo {
            color: #fff;
            background-color: #5c6bc0;
        }

        .badge-violet {
            color: #fff;
            background-color: #9C27B0;
        }
    </style>
@endsection

public_html/resources/views/data-trace.blade.php
@extends('layouts.app')

@section("content")
  <div id="data-tracking"></div>
@endsection

@section('scripts')
  <script src="{{ mix('js/app.js') }}"></script>
@endsection

public_html/resources/views/flash-message.blade.php
@if ($message = Session::get('success'))
<div class="alert alert-success alert-block center">
    <button type="button" class="close" data-dismiss="alert">×</button>
    <strong>{{ $message }}</strong>
</div>
@endif

@if ($message = Session::get('error'))
<div class="alert alert-danger alert-block center">
    <button type="button" class="close" data-dismiss="alert">×</button>
    <strong>{{ $message }}</strong>
</div>
@endif

@if ($message = Session::get('warning'))
<div class="alert alert-warning alert-block center">
    <button type="button" class="close" data-dismiss="alert">×</button>
    <strong>{{ $message }}</strong>
</div>
@endif

@if ($message = Session::get('info'))
<div class="alert alert-info alert-block center">
    <button type="button" class="close" data-dismiss="alert">×</button>
    <strong>{{ $message }}</strong>
</div>
@endif

@if ($errors->any())
<div class="alert alert-danger center">
    <button type="button" class="close" data-dismiss="alert">×</button>
    {{$errors->first() ? $errors->first() : 'Please check the form below for errors'}}
</div>
@endif

<style>
.center {
	text-align:center;
	margin: auto;
    margin-top: 10px;
	width: 30%;
	border: 1px solid #73AD21;
    border-radius: 25px;
	padding: 10px;
}
</style>
<script>
 $(document).ready(function () {

            setTimeout(function() {
                $('.alert-block').slideUp("slow");
            }, 3000);
});
</script>